## qutim 0.2.80-maemo-7

=== plugins/qmlchat/CMakeLists.txt ===
FIND_PACKAGE( Qt4 COMPONENTS QtDeclarative QtOpenGL)

QUTIM_ADD_ARTWORK(qmlchat)

qutim_add_plugin(qmlchat
	GROUP "ChatFactory"
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/quickchatviewfactory.h
	EXTENSION_CLASS Core::AdiumChat::QuickChatViewFactory
	DISPLAY_NAME "Qt Quick view (experimental)"
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DESCRIPTION "Modern chat view based on power of QtQuick"
	DEPENDS adiumchat
	LINK_LIBRARIES adiumchat ${QT_QTDECLARATIVE_LIBRARY} ${QT_QTOPENGL_LIBRARY} /usr/lib/libQtDeclarative.so
	INCLUDE_DIRS ${QT_QTDECLARATIVE_INCLUDE_DIR} ${QT_QTOPENGL_INCLUDE_DIR} /usr/include/QtDeclarative/
)

=== plugins/yandexnarod/CMakeLists.txt ===
find_package(Qt4 COMPONENTS QtNetwork QtXml QtXmlPatterns)

qutim_add_plugin( yandexnarod
	DISPLAY_NAME "YandexNarod"
	DESCRIPTION "Send files via Yandex.Narod filehosting service"
	LINK_LIBRARIES ${QT_QTXML_LIBRARY} ${QT_QTXMLPATTERNS_LIBRARY}
	INCLUDE_DIRS ${QT_QTXML_INCLUDE_DIR} ${QT_QTXMLPATTERNS_INCLUDE_DIR}
)

=== protocols/jabber/CMakeLists.txt ===
if(${JABBER} EQUAL 0 OR ${JABBER} STREQUAL "OFF")

else()
	SET ( QT_MIN_VERSION "4.7.0" )
	SET ( CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/" )
	ADD_SUBDIRECTORY(jreen)
	LIST(APPEND INCLUDE_DIRS "${JREEN_INCLUDE_DIR}")
	SET( QT_USE_QTNETWORK TRUE )
endif()

qutim_add_plugin( jabber
	DISPLAY_NAME "Jabber protocol"
	DESCRIPTION "Implementation of jabber protocol based on jreen library"
	GROUP "Protocols"
	LINK_LIBRARIES jreen
	INCLUDE_DIRS "${INCLUDE_DIRS}"
)

=== protocols/jabber/jreen/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED( VERSION 2.6 )
PROJECT(Jreen)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

set(CMAKE_JREEN_VERSION_MAJOR 0 CACHE INT "Major Jreen version number" FORCE)
set(CMAKE_JREEN_VERSION_MINOR 1 CACHE INT "Minor Jreen version number" FORCE)
set(CMAKE_JREEN_VERSION_PATCH 0 CACHE INT "Release Jreen version number" FORCE)
set(CMAKE_JREEN_VERSION_STRING "${CMAKE_JREEN_VERSION_MAJOR}.${CMAKE_JREEN_VERSION_MINOR}.${CMAKE_JREEN_VERSION_PATCH}" CACHE STRING "Jreen version string" FORCE)

# Search for source and headers in source directory (non-recursive)
FILE(GLOB SRC "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp")
FILE(GLOB HDR "${CMAKE_CURRENT_SOURCE_DIR}/src/*.h")

# Add 3rd-party sources
FILE(GLOB_RECURSE 3RD_PARTY_SRC "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/*.cpp")
FILE(GLOB_RECURSE 3RD_PARTY_SRC_C "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/*.c")
FILE(GLOB_RECURSE 3RD_PARTY_HDR "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/*.h")
LIST(APPEND SRC ${3RD_PARTY_SRC} ${3RD_PARTY_SRC_C})
LIST(APPEND SRC ${3RD_PARTY_SRC})
LIST(APPEND HDR ${3RD_PARTY_HDR})

# Require QT 4.6
SET(QT_MIN_VERSION "4.6.0")

# Search for QT4
FIND_PACKAGE(Qt4 COMPONENTS QtCore QtNetwork QtGui REQUIRED)
INCLUDE(${QT_USE_FILE})
INCLUDE(jreenMacros)
FIND_PACKAGE(QCA2 REQUIRED)
#FIND_PACKAGE(ZLIB REQUIRED)
FIND_PACKAGE(LibIDN)


# FindZLIB is broken on Ubuntu, so find the library using pkg-config
if(LINUX)
	FIND_PACKAGE(PkgConfig)
	pkg_search_module(ZLIB_PKGCONF REQUIRED zlib)
	find_path(ZLIB_INCLUDE_DIR
	  NAMES zlib.h
	  PATHS ${ZLIB_PKGCONF_INCLUDE_DIRS}
	)
	find_library(ZLIB_LIBRARIES
	  NAMES z
	  PATHS ${ZLIB_PKGCONF_LIBRARY_DIRS}
	)
	if(NOT ZLIB_INCLUDE_DIR)
	  message(SEND_ERROR "Could not find zlib includes.")
	endif(NOT ZLIB_INCLUDE_DIR)
	if(NOT ZLIB_LIBRARIES)
	  message(SEND_ERROR "Could not find zlib library.")
	endif(NOT ZLIB_LIBRARIES)
else()
	find_package(ZLIB REQUIRED)
endif()

#add_subdirectory(3rdparty)

#spike

# Add include directories
INCLUDE_DIRECTORIES(.
	${CMAKE_CURRENT_BINARY_DIR}
	3rdparty
	${QCA2_INCLUDE_DIR}
	${ZLIB_INCLUDE_DIR}
)
IF(LIBIDN_FOUND)
	INCLUDE_DIRECTORIES(${LIBIDN_INCLUDE_DIR})
	ADD_DEFINITIONS("-DHAVE_IDN=1")
ENDIF(LIBIDN_FOUND)

# Generate moc files
JREEN_WRAP_CPP(MOC_SRC ${HDR})

# This project will generate library

if(SYMBIAN)
	set(JREEN_BUILD_TYPE STATIC)
else()
set(JREEN_BUILD_TYPE SHARED)
endif()

ADD_LIBRARY(jreen ${JREEN_BUILD_TYPE} ${SRC} ${MOC_SRC} ${HDR} )

#compiler flags
#fixme add macro to clang
if(CMAKE_COMPILER_IS_GNUCXX)
	IF(SYMBIAN)
		#disable stupid warnings
		ADD_DEFINITIONS("-w")
	ELSE()
		ADD_DEFINITIONS("-Wall -Wextra" ) #add -Werror
	ENDIF()
	if(NOT WIN32)
		ADD_DEFINITIONS("-fvisibility=hidden" )
	endif(NOT WIN32)
elseif(MSVC)
	ADD_DEFINITIONS("/W3" )
endif()

set_target_properties(jreen PROPERTIES
	VERSION ${CMAKE_JREEN_VERSION_STRING}
	SOVERSION ${CMAKE_JREEN_VERSION_MAJOR}
	DEFINE_SYMBOL J_BUILD_LIBRARY
)

file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/include/jreen" )
file(GLOB JREEN_INCLUDE_HEADERS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/src" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.h")
foreach(header ${JREEN_INCLUDE_HEADERS})
	if(NOT ${header} MATCHES ".*_p\\.h")
		if(NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/include/jreen/${header}")
			file( WRITE "${CMAKE_CURRENT_BINARY_DIR}/include/jreen/${header}"
		"#include \"${CMAKE_CURRENT_SOURCE_DIR}/src/${header}\"
	"
			)
		endif(NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/include/jreen/${header}")
	LIST(APPEND JREEN_INSTALL_HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/src/${header}")
    endif(NOT ${header} MATCHES ".*_p\\.h")
endforeach(header)

set(JREEN_LIBRARIES jreen CACHE INTERNAL "" )
set(JREEN_INCLUDE_DIR "${CMAKE_CURRENT_BINARY_DIR}/include" CACHE INTERNAL "")

IF(WIN32)
	LIST(APPEND EXTRA_LIBS ws2_32)
ENDIF()
IF(LIBIDN_FOUND)
	LIST(APPEND EXTRA_LIBS ${LIBIDN_LIBRARIES})
ENDIF(LIBIDN_FOUND)

# Link with Qt
#IF(SYMBIAN)
#ENDIF()

JREEN_TARGET_LINK_LIBRARIES(jreen
	${QT_LIBRARIES}
	${QCA2_LIBRARIES}
	${ZLIB_LIBRARIES}
	${EXTRA_LIBS}
)

install( TARGETS jreen
	RUNTIME DESTINATION bin
		COMPONENT jreen
	LIBRARY DESTINATION lib${LIB_SUFFIX}
		COMPONENT jreen
	ARCHIVE DESTINATION lib${LIB_SUFFIX}
		COMPONENT jreenDevel
	BUNDLE DESTINATION library
)

INSTALL(FILES ${JREEN_INSTALL_HEADERS}
	DESTINATION include/jreen
		COMPONENT jreenDevel
)

=== core/src/corelayers/chatnotificationsbackend/CMakeLists.txt ===
qutim_add_plugin( chatnotificationsbackend
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/chatnotificationsbackend.h
	EXTENSION_CLASS Core::ChatNotificationsBackend,qutim_sdk_0_3::StartupModule
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Chat notifications backend"
	DESCRIPTION "Prints information about events into chats"
)

=== core/src/corelayers/humanity-icons/CMakeLists.txt ===
QUTIM_ADD_ARTWORK_DIR(qutim)

=== core/src/corelayers/joingroupchatdlg/CMakeLists.txt ===
qutim_add_plugin( joingroupchatdlg
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/joingroupchatmodule.h
	EXTENSION_CLASS Core::JoinGroupChatModule
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Mobile conference join dialog"
	DESCRIPTION "Conference join dialog adopted for touch devices with small screen"
)

=== core/src/corelayers/localization/CMakeLists.txt ===
qutim_add_plugin( localization
	SUBPLUGIN
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Localization"
	DESCRIPTION "Default qutIM localization engine"
)

=== core/src/corelayers/notificationssettings/CMakeLists.txt ===
qutim_add_plugin( notificationssettings
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/notificationssettings.h
	EXTENSION_CLASS Core::NotificationsSettings
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Notifications settings"
	DESCRIPTION "Default settings widget set for notifications"
)

=== plugins/macintegration/src/macidle/CMakeLists.txt ===
find_library(COCOA_LIBRARIES Cocoa)

qutim_add_plugin(macidle
	EXTENSION
	EXTENSION_CLASS MacIntegration::MacIdle
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/macidle.h
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "IdleManager"
	DESCRIPTION "Mac OS X idle manager"
	LINK_LIBRARIES ${COCOA_LIBRARIES}
)

=== plugins/mobility/src/bearermanager/CMakeLists.txt ===
qutim_check_component(Bearer)

qutim_add_plugin(bearermanager
	DISPLAY_NAME "Network bearer Manager"
	DESCRIPTION "Used to monitor the availability of network."
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/bearermanager.h
	EXTENSION_CLASS BearerManager
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	LINK_LIBRARIES ${QT_MOBILITY_BEARER_LIBRARY}
	INCLUDE_DIRS ${QT_MOBILITY_BEARER_INCLUDE_DIR}
)

=== protocols/vkontakte/plugins/photoalbum/CMakeLists.txt ===
macro_ensure_version("4.7.0" "${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}.${QT_VERSION_PATCH}" QT_HAS_4_7 )
IF(NOT QT_HAS_4_7)
	message("Can't build Vkontakte photoalbum" )
	return()
ENDIF()

find_package( Qt4 COMPONENTS QtDeclarative QtOpenGL )

qutim_add_plugin( vphotoalbum
	SUBPLUGIN
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Vkontakte photoalbum support"
	DESCRIPTION "Vkontakte photoalbum support for qutIM, based on power of Qt Quick"
	LINK_LIBRARIES vkontakte ${QT_QTDECLARATIVE_LIBRARY} ${QT_QTOPENGL_LIBRARY} /usr/lib/libQtDeclarative.so
	INCLUDE_DIRS ${QT_QTDECLARATIVE_INCLUDE_DIR} ${QT_QTOPENGL_INCLUDE_DIR} /usr/include/QtDeclarative/
)

QUTIM_ADD_ARTWORK(vphotoalbum)

=== debian/changelog ===
qutim (0.2.80-maemo-7) fremantle; urgency=low

  * Bugfixes

 -- Eugene Degtyarev <degtep@gmail.com>  Tue, 16 Aug 2011 21:17:44 +0600

## qutim 0.2.80-maemo-8

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6 FATAL_ERROR)
if( COMMAND cmake_policy )
	cmake_policy( SET CMP0003 NEW )
endif(COMMAND cmake_policy )
project( qutim )
#set(QT_MIN_VERSION "4.6.0")

set( QUTIM_PATH "${CMAKE_CURRENT_SOURCE_DIR}/core" CACHE FILEPATH "Path to qutim sources")
set( QUTIM_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/core/libqutim/include" CACHE FILEPATH "Path to qutim headers")
set( QUTIM_LIBRARY libqutim CACHE FILEPATH "Path to qutim library")

set( QUTIM_ADDITIONAL_PATHS "protocols" "plugins" )
set( QUTIM_ADDITIONAL_PATHS "${QUTIM_ADDITIONAL_PATHS}" CACHE INTERNAL "" FORCE )

add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/core/" "${CMAKE_CURRENT_BINARY_DIR}/core" )
add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/translations/" "${CMAKE_CURRENT_BINARY_DIR}/translations" )

# ADD_CUSTOM_TARGET(uninstall
#   "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== plugins/antispam/CMakeLists.txt ===
qutim_add_plugin( antispam
	DISPLAY_NAME "Antispam"
	DESCRIPTION "Blocks messages from unknown contacts by question-answer pair"
)

=== plugins/macintegration/CMakeLists.txt ===
if(NOT APPLE)
	message(STATUS "Macintegration plugin will be skipped")
	return()
endif()

add_subdirectory(src)

#reinder, please update this paths
#INSTALL(DIRECTORY share/config
#	DESTINATION share/qutim
#		COMPONENT Core
#)

qutim_add_artwork_dir(share)

=== protocols/oscar/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED( VERSION 2.6 )
PROJECT( Oscar )

set( HMAC_PATH ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/hmac )
add_library( hmac STATIC
	${HMAC_PATH}/hmac_sha2.c
	${HMAC_PATH}/hmac_sha2.h
	${HMAC_PATH}/sha2.c
	${HMAC_PATH}/sha2.h
)
set_target_properties(hmac PROPERTIES COMPILE_FLAGS "${CMAKE_SHARED_LIBRARY_CXX_FLAGS}")
include_directories(${HMAC_PATH})

SET( QT_USE_QTNETWORK TRUE )
SET( QT_USE_QTXML TRUE )
qutim_add_plugin( oscar
	COMPILE_FLAGS "-DLIBOSCAR_LIBRARY"
	LINK_LIBRARIES hmac
	DISPLAY_NAME "Oscar protocol"
	DESCRIPTION "Module-based implementation of Oscar protocol"
	GROUP "Protocols"
)
IF( QT_QCONFIG MATCHES "openssl" )
	add_definitions(-DOSCAR_SSL_SUPPORT)
ENDIF( QT_QCONFIG MATCHES "openssl" )

qutim_add_extensions_dir(plugins)

=== plugins/macintegration/src/CMakeLists.txt ===
qutim_add_extensions_dir(.)

=== core/src/corelayers/idledetector/CMakeLists.txt ===
IF (UNIX AND NOT APPLE AND NOT SYMBIAN AND NOT MAEMO5)
	include( FindPkgConfig )
	pkg_check_modules (XSS xscrnsaver)
	IF( XSS_FOUND )
		ADD_DEFINITIONS( -DHAVE_XSS )
		FIND_LIBRARY( XSS_LIB NAMES Xss PATHS ${XSS_LIBDIR} )
	ELSE( XSS_FOUND )
		message(STATUS "Warning: libxss not found, idle detection won't be accurate")
	ENDIF( XSS_FOUND )
ENDIF (UNIX AND NOT APPLE AND NOT SYMBIAN AND NOT MAEMO5)

IF (MAEMO5)
FIND_PACKAGE( Qt4 COMPONENTS QtDBus)
if(NOT QT_QTDBUS_FOUND)
	message(STATUS "Cannot build Maemo5IdleDetector")
	return()
endif()
ENDIF (MAEMO5)

qutim_add_plugin( idledetector
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/idle.h
	EXTENSION_CLASS Psi::Idle
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Idle detector"
	DESCRIPTION "Native idle detector, based on system api"
	LINK_LIBRARIES ${XSS_LIB} ${QT_QTDBUS_LIBRARY}
	INCLUDE_DIRS ${XSS_INCLUDEDIR} ${QT_QTDBUS_INCLUDE_DIR}
)

=== core/src/corelayers/kineticscroller/CMakeLists.txt ===
IF (NOT SYMBIAN)
	FIND_PACKAGE( Qt4 COMPONENTS QtWebkit)
	qutim_add_plugin( kineticscroller
		EXTENSION
		EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/kineticscroller.h
		EXTENSION_CLASS Core::KineticScroller
		SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
		DISPLAY_NAME "Qt Kinetic scroller"
		DESCRIPTION "Kinetic scroller from upcoming Qt release"
		LINK_LIBRARIES ${QT_QTWEBKIT_LIBRARY}
		INCLUDE_DIRS ${QT_QTWEBKIT_INCLUDE_DIR}
	)
ELSE()
	qutim_add_plugin( kineticscroller
		EXTENSION
		EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/kineticscroller.h
		EXTENSION_CLASS Core::KineticScroller
		SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
		DISPLAY_NAME "Qt Kinetic scroller"
		DESCRIPTION "Kinetic scroller from upcoming Qt release"
		COMPILE_FLAGS "-DQTSCROLLER_NO_WEBKIT"
	)

ENDIF()

=== plugins/winintegration/subplugins/win7taskbar/CMakeLists.txt ===
qutim_add_plugin(winint2_win7taskbar
	SUBPLUGIN
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	GROUP "Windows Seven Integration"
	DISPLAY_NAME "Windows Integration: Taskbar"
	DESCRIPTION "Adds count of unread messages as an icon to taskbar button of qutIM."
	LINK_LIBRARIES winint2 wapiqtwrapper
	INCLUDE_DIRS   "../../libs/include"
)

=== core/src/corelayers/adiumchat/chatforms/CMakeLists.txt ===
qutim_add_extensions_dir(.)

=== plugins/plugman/3rdparty/quasar/lib/CMakeLists.txt ===

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Library directory name" FORCE)

set(CMAKE_INSTALL_RPATH_USE_LINK_PATH  TRUE)

find_package(Qt4 REQUIRED)
include_directories( ${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR}  ${CMAKE_CURRENT_BINARY_DIR} )

# mingw can't handle exported explicit template instantiations in a DLL
if (MINGW)
  set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--export-all-symbols ${CMAKE_SHARED_LINKER_FLAGS}")
endif (MINGW)

#check for libz using the cmake supplied FindZLIB.cmake
macro_bool_to_01(ZLIB_FOUND HAVE_LIBZ)

macro_bool_to_01(BZIP2_FOUND HAVE_BZIP2_SUPPORT)
if(BZIP2_FOUND AND BZIP2_NEED_PREFIX)
   set(NEED_BZ2_PREFIX 1)
endif(BZIP2_FOUND AND BZIP2_NEED_PREFIX)

macro_bool_to_01(LIBLZMA_FOUND HAVE_XZ_SUPPORT)

configure_file(version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

set(quasar_SRCS
    archive.cpp
    ar.cpp
    bzip2filter.cpp
    filterbase.cpp
    filterdev.cpp
    gzipfilter.cpp
    limitediodevice.cpp
    savefile.cpp
    tar.cpp
    version.cpp
    xzfilter.cpp
    zip.cpp
)

qt4_automoc(${quasar_SRCS})

add_library(quasar SHARED ${quasar_SRCS})

set_target_properties(quasar PROPERTIES
    VERSION ${CMAKE_LIBQUASAR_VERSION_STRING}
    SOVERSION ${CMAKE_LIBQUASAR_VERSION_MAJOR}
    LINK_INTERFACE_LIBRARIES ""
    DEFINE_SYMBOL QUASAR_LIB_MAKEDLL
)

target_link_libraries(quasar ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY})


install(TARGETS quasar ARCHIVE DESTINATION ${LIB_DESTINATION}
                               LIBRARY DESTINATION ${LIB_DESTINATION}
                               RUNTIME DESTINATION bin)

install(FILES
    archive.h
    ar.h
    bzip2filter.h
    filterbase.h
    filterdev.h
    gzipfilter.h
    tar.h
    xzfilter.h
    zip.h
    quasar_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/version.h
    DESTINATION include/quasar COMPONENT Devel
)

# Install package config file
if(NOT WIN32)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/libquasar.pc.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/libquasar.pc
    )
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libquasar.pc
        DESTINATION ${LIB_DESTINATION}/pkgconfig
    )
endif(NOT WIN32)

# Add the optional subdirectory with unit tests
if (QUASAR_ENABLE_TESTS)
    add_subdirectory(tests)
endif (QUASAR_ENABLE_TESTS)

=== core/src/corelayers/simplecontactlist/widgets/torycontactlistwidget/CMakeLists.txt ===
qutim_add_plugin(torycontactlistwidget
	GROUP "ContactWidget"
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/torywidget.h
	EXTENSION_CLASS Core::SimpleContactList::ToryWidget
	DISPLAY_NAME "Tory Contactlist"
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DESCRIPTION "Tory contactlist"
	DEPENDS simplecontactlist
	LINK_LIBRARIES simplecontactlist
)

=== debian/changelog ===
qutim (0.2.80-maemo-8) fremantle; urgency=low

  * Bugfix with open conferences window

 -- Eugene Degtyarev <degtep@gmail.com>  Tue, 16 Aug 2011 22:30:17 +0600

## qutim 0.2.80-maemo-9

=== plugins/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6 FATAL_ERROR)
if( COMMAND cmake_policy )
	cmake_policy( SET CMP0003 NEW )
endif(COMMAND cmake_policy )
project( Plugins )

if ( ${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR} )
	set(QUTIM_PATH "" CACHE FILEPATH "Path to qutim sources")
	set(QUTIM_BINARY_DIR "" CACHE FILEPATH "Path to qutim build directory")
	set(QUTIM_LIBRARY QUTIM_LIBRARY-NOTFOUND CACHE FILEPATH "Path to qutim library")
endif ( ${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR} )
if( QUTIM_BINARY_DIR )
	set( QUTIM_INCLUDE_DIR ${QUTIM_BINARY_DIR}/libqutim/include )
	set( QUTIM_LIBRARY_DIR ${QUTIM_BINARY_DIR}/libqutim/ )
endif( QUTIM_BINARY_DIR )

LIST (APPEND CMAKE_MODULE_PATH "cmake")
LIST (APPEND CMAKE_MODULE_PATH "${QUTIM_PATH}/cmake")
option ( QUTIM_ENABLE_ALL_PLUGINS "Enable plugins by default" ON )

INCLUDE (MacroEnsureVersion)
find_package(Qt4 COMPONENTS QtCore QtGui)
find_package(QutIM REQUIRED)

qutim_add_extensions_dir(.)

=== plugins/mobility/CMakeLists.txt ===
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules")

find_package(QtMobility)
if(NOT QT_MOBILITY_FOUND)
	message(STATUS "Mobility plugin set will be skipped")
	return()
endif()

macro(qutim_check_component component)
	STRING(TOUPPER ${component} _COMPONENT)
	IF(NOT ${QT_MOBILITY_${_COMPONENT}_FOUND})
		message("Module ${component} not found. ${component} support disabled.")
		return()
	ENDIF()
endmacro()

include_directories(${QT_MOBILITY_INCLUDE_DIR} ${QT_MOBILITY_PARENT_INCLUDE_DIR})

qutim_add_extensions_dir(src)

=== plugins/winintegration/CMakeLists.txt ===
SET (CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
find_package(WinThings)

add_subdirectory(libs)

if(WINTHINGS_APILAYER_LIBRARY)
	qutim_add_plugin(
		winint2
		DISPLAY_NAME   "Windows Integration"
		DESCRIPTION    "Adds count of unread messages as an icon to taskbar button of qutim, along with some commands list."
		GROUP "Windows Seven Integration"
		LINK_LIBRARIES wapiqtwrapper ${QT_QTDECLARATIVE_LIBRARY} ${QT_QTNETWORK_LIBRARY}
		INCLUDE_DIRS   "libs/include" ${QT_QTNETWORK_INCLUDE_DIR}
	)

	if(MSVC)
		set_target_properties(winint2 PROPERTIES COMPILE_FLAGS "/Zc:wchar_t-")
	endif()

	ADD_SUBDIRECTORY(wininthelper)

	FILE(GLOB PLUGINS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/subplugins" "${CMAKE_CURRENT_SOURCE_DIR}/subplugins/*")

	qutim_add_extensions_dir(subplugins)

	INSTALL(DIRECTORY share
		DESTINATION .
			COMPONENT Core
	)

else()
	message(STATUS "'Windows Integration' plugin will be skipped.")
endif()

=== core/src/corelayers/idledetector/CMakeLists.txt ===
IF (UNIX AND NOT APPLE AND NOT SYMBIAN)
	include( FindPkgConfig )
	pkg_check_modules (XSS xscrnsaver)
	IF( XSS_FOUND )
		ADD_DEFINITIONS( -DHAVE_XSS )
		FIND_LIBRARY( XSS_LIB NAMES Xss PATHS ${XSS_LIBDIR} )
	ELSE( XSS_FOUND )
		message(STATUS "Warning: libxss not found, idle detection won't be accurate")
	ENDIF( XSS_FOUND )
ENDIF (UNIX AND NOT APPLE AND NOT SYMBIAN AND NOT MAEMO5)

qutim_add_plugin( idledetector
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/idle.h
	EXTENSION_CLASS Psi::Idle
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Idle detector"
	DESCRIPTION "Native idle detector, based on system api"
	LINK_LIBRARIES ${XSS_LIB}
	INCLUDE_DIRS ${XSS_INCLUDEDIR}
)

=== debian/changelog ===
qutim (0.2.80-maemo-9) fremantle; urgency=low

  * Jabber bugfixes
  * Relocated maemo specific icon to another plugin
  * Refactoring maemo idle detector
  * Add missing icon
  * Got QML chat working

 -- Eugene Degtyarev <degtep@gmail.com>  Wed, 17 Aug 2011 16:49:50 +0600

## qutim 0.2.80-maemo-10

=== plugins/maemo5integration/maemo5settings/CMakeLists.txt ===
qutim_add_plugin( maemo5settings
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/maemo5settings.h
	EXTENSION_CLASS Maemo5Settings
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Maemo 5 Settings"
)

=== protocols/jabber/jreen/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 SET(QT_MIN_VERSION "4.6.0")
 
 # Search for QT4
-FIND_PACKAGE(Qt4 COMPONENTS QtCore QtNetwork QtGui REQUIRED)
+FIND_PACKAGE(Qt4 COMPONENTS QtCore QtNetwork REQUIRED)
 INCLUDE(${QT_USE_FILE})
 INCLUDE(jreenMacros)
 FIND_PACKAGE(QCA2 REQUIRED)

=== debian/changelog ===
qutim (0.2.80-maemo-10) fremantle; urgency=low

  * Add maemo specific settings
  * Got bearer manager working and fix settings

 -- Eugene Degtyarev <degtep@gmail.com>  Thu, 18 Aug 2011 16:04:07 +0600

## qutim 0.2.80-maemo-11

=== debian/changelog ===
qutim (0.2.80-maemo-11) fremantle; urgency=low

  * Fix power consumtion
  * Minor bugfixes

 -- Eugene Degtyarev <degtep@gmail.com>  Thu, 18 Aug 2011 20:46:51 +0600

## qutim 0.2.80-maemo-12

=== plugins/awn/CMakeLists.txt ===
find_package( Qt4 COMPONENTS QtDBus )
if(NOT QT_QTDBUS_FOUND)
	message(STATUS "Cannot build AWN dock integration")
	return()
endif()

include_directories( ${QT_QTDBUS_INCLUDE_DIR} )
qutim_add_plugin( awn
	DISPLAY_NAME "AWN"
	DESCRIPTION "Avant window navigator dock integration"
	LINK_LIBRARIES ${QT_QTDBUS_LIBRARIES}
)

=== plugins/connectionmanager/CMakeLists.txt ===
find_package(Qt4 COMPONENTS QtNetwork )

qutim_add_plugin( connectionmanager
	DISPLAY_NAME "ConnectionManager"
	DESCRIPTION "Used to monitor the availability of network."
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/src/connectionmanager.h
	EXTENSION_CLASS ConnectionManager::ConnectionManager
)

=== plugins/phononsound/CMakeLists.txt ===
if(NOT DEFINED ${PHONONSOUND_OFF})
	find_package( Phonon )

	IF (NOT DEFINED PHONON_FOUND OR (NOT PHONON_LIBRARY OR NOT PHONON_INCLUDE_DIR))
		if( QT_PHONON_INCLUDE_DIR AND QT_PHONON_LIBRARY )
			set( PHONON_LIBRARIES "${QT_PHONON_LIBRARY}" )
			set( PHONON_INCLUDES "${QT_PHONON_INCLUDE_DIR}" )
		elseif( PHONON_INCLUDE_DIR AND PHONON_LIBRARY )
			set( PHONON_LIBRARIES "${PHONON_LIBRARY}" )
			set( PHONON_INCLUDES "${PHONON_INCLUDE_DIR}" )
		else( PHONON_INCLUDE_DIR AND PHONON_LIBRARY )
			message( "PHONON not found. Can't build phononsound" )
			return()
		endif()
	ENDIF()
endif()

qutim_add_plugin( phononsound
	DISPLAY_NAME "Phonon sound engine"
	DESCRIPTION "Sound engine based on KDE sound engine,"
	LINK_LIBRARIES ${PHONON_LIBRARIES}
	INCLUDE_DIRS ${PHONON_INCLUDES}
)

=== plugins/maemo5integration/maemo5idledetector/CMakeLists.txt ===
FIND_PACKAGE( Qt4 COMPONENTS QtDBus)
if(NOT QT_QTDBUS_FOUND)
	message(STATUS "Cannot build Maemo5IdleDetector")
	return()
endif()

qutim_add_plugin( maemo5idledetector
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/maemo5idle.h
	EXTENSION_CLASS Maemo5Idle
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Maemo 5 Idle detector"
	DESCRIPTION "Native Maemo 5 idle detector"
	LINK_LIBRARIES ${QT_QTDBUS_LIBRARY}
	INCLUDE_DIRS  ${QT_QTDBUS_INCLUDE_DIR}
)

=== plugins/maemo5integration/maemo5led/CMakeLists.txt ===
FIND_PACKAGE( Qt4 COMPONENTS QtDBus)
if(NOT QT_QTDBUS_FOUND)
	message(STATUS "Cannot build Maemo5Vibra")
	return()
endif()

qutim_add_plugin(maemo5led
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/maemo5led.h
	EXTENSION_CLASS Maemo5Led
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Maemo 5 Led Notifications"
	DESCRIPTION "Notification system, based Maemo 5 Led"
	LINK_LIBRARIES ${QT_QTDBUS_LIBRARY}
	INCLUDE_DIRS ${QT_QTDBUS_INCLUDE_DIR}
)

=== plugins/symbianintegration/symbianvibra/CMakeLists.txt ===
qutim_add_plugin(symbianvibra
	GROUP "Symbian integration Plugin"
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/symbianvibration.h
	EXTENSION_CLASS Symbian::Vibration
	LINK_LIBRARIES "-l:hwrmvibraclient.dso"
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Symbian Vibration Support"
	DESCRIPTION "Notifies about different events by vibration of your mobile device"
)

=== core/src/corelayers/simplecontactlist/CMakeLists.txt ===
include_directories(.)

qutim_add_plugin(simplecontactlist
	EXTENSION
	EXTENSION_HEADER contactlist/simplecontactlist.h
	EXTENSION_CLASS Core::SimpleContactList::Module
	SOURCE_DIR contactlist
	DISPLAY_NAME "Simple ContactList"
	DESCRIPTION "Default qutIM contact list implementation. Just simple"
	COMPILE_FLAGS "-DSIMPLECONTACTLIST_LIBRARY"
)

qutim_add_plugin(simplecontactdelegate
	SUBPLUGIN
	SOURCE_DIR simplecontactdelegate
	DISPLAY_NAME "ContactDelegate"
	DESCRIPTION "Just simple"
	DEPENDS simplecontactlist
	LINK_LIBRARIES simplecontactlist
)

set(DEVEL_HEADERS
	contactlist/abstractcontactlist.h
	contactlist/abstractcontactmodel.h
	contactlist/simplecontactlistview.h
	contactlist/simplestatusdialog.h
	contactlist/simplecontactlist.h
	contactlist/simplecontactlistsettings.h
)
qutim_generate_includes("qutim/simplecontactlist" ${DEVEL_HEADERS})


add_subdirectory(widgets)
add_subdirectory(models)

=== plugins/macintegration/src/macdock/CMakeLists.txt ===
find_library(COCOA_LIBRARIES Cocoa)

qutim_add_plugin(macdock
	EXTENSION
	EXTENSION_CLASS MacIntegration::MacDock
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/macdock.h
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Dock integration"
	DESCRIPTION "Mac OS X dock integration"
	LINK_LIBRARIES ${COCOA_LIBRARIES}
)

=== plugins/macintegration/src/macgrowl/CMakeLists.txt ===
find_library(GROWL_LIBRARIES Growl)

qutim_add_plugin(macgrowl
	EXTENSION
	EXTENSION_CLASS GrowlBackend
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/growlbackend.h
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Growl notifications"
	DESCRIPTION "Default Mac Os X Notifications"
	ICON "growl"
	INCLUDE_DIRS ${GROWL_LIBRARIES}/Headers
	LINK_LIBRARIES ${GROWL_LIBRARIES} ${COCOA_LIBRARIES}
)

=== plugins/mobility/src/multimediabackend/CMakeLists.txt ===
qutim_check_component(MultimediaKit)

qutim_add_plugin(multimediabackend
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/multimediasoundbackend.h
	EXTENSION_CLASS Core::MultimediaSoundBackend
	LINK_LIBRARIES ${QT_MOBILITY_MULTIMEDIAKIT_LIBRARY}
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Mulimedia engine"
	DESCRIPTION "Sound engine based on QtMultimedia"
	INCLUDE_DIRS ${QT_MOBILITY_MULTIMEDIAKIT_INCLUDE_DIR}
)

=== plugins/winintegration/subplugins/sevenlist/CMakeLists.txt ===
qutim_add_plugin(sevenwidget
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/sevenwidget.h
	EXTENSION_CLASS Core::SimpleContactList::SevenWidget
	DISPLAY_NAME "Seven"
	GROUP "Windows Seven Integration"
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DESCRIPTION "Windows seven specific implementation with button's in caption"
	DEPENDS simplecontactlist
	LINK_LIBRARIES simplecontactlist
)

=== debian/changelog ===
qutim (0.2.80-maemo-12) fremantle; urgency=low

  * Fix second big mistake with power consumtion

 -- Eugene Degtyarev <degtep@gmail.com>  Fri, 19 Aug 2011 10:21:47 +0600

=== debian/control ===
Source: qutim
Section: user/network
Priority: extra
Maintainer: Eugene Degtyarev <degtep@gmail.com>
Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-dev,libqca2-plugin-ossl,pidgin-dev,libidn11-dev,libhunspell-dev,maemo-optify, libqtm-dev
Standards-Version: 3.7.2

Package: qutim
Section: user/network
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},libidn11,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-plugin-ossl, qutim-maemo-docklet
Description: qutIM - is powerful instant messenger
 qutIM is crossplatform multiprotocol instant messengrer with module-based architecture. Protocols' support can be provided by several plugins, some of them are our own implementations of protocols, and some of them uses 3rd party libraries and technologies. Every plugin may be disabled through graphic interface.
 Supported protocols: Oscar(ICQ), Jabber, Mail.ru(MRIM) 
 Supported langugages: En, Ru, Bg, Cz
XSBC-Maemo-Display-Name: qutIM
XSBC-Bugtracker: https://launchpad.net/qutim
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAACmAAAApgBNtNH3wAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAABGqSURBVGiBvZp5lJ1lfcc/73bfu83MnX0y
 WyYJA1kmgZCwBEFJkCLQSqpiUSsgCiUoLniQVlRA22O10HiwVGqr1IJLjacu
 BduegrJYBAkhQGJCmMk2mZnMcmfmru/2LP3j3rmZkLAqPuc8573nXc75fn+/
 7295nucaWmv+4OO228x/2LfvlnR//8dSHR313o4d37188+Yr5x4bhmH88Ic/
 NLds2WJ1dHQYhw8f1pOr/uyElROPDDU3NzuACaj73LNuMv6QBL5+8cX1+WTy
 64mlSy+LL1gQc12XWCyG6zjMPPDAudfed9+jgHH99dc7yWQybllWLAgCva3n
 j84rjo33XZzYe48QIi6EsH7c8+57RXYm+Qch8Ffr1vWrpqa7jSVLzo1lMmYs
 FsN1XVzXxXEcYrEYcteu53aE4emAq7VO2bZdb5pmfEffBRcWepbdtuT+u1Z1
 tWCbpln/v/XnXjE7cPpfmA899FX7zQS+aWBgfdTcfKdYvHjASSZxlSJWLBKG
 IV1dXQRBQLlcpr29Hau7e1X91q2nzTQ0zJqxZOv+xeddOtt2wqVRR0dLafvu
 ka4WYpZltRuOUze7cOVHtNSkTPPRN4XAlSctu7pQl7q1sGBBpxuP4wYBMa0J
 goC1a9dy5plnMj09DcDOnTuZmZnBTGfILt/wg9EFp+SiBV39QTrt+ELjCY09
 nn3IMIyM1rp1r+hZ5tQnrCBQRFa6+/dG4Lb16+0D2exf5+sbrist7qtTSoNW
 BEFIJpNh/fr19PT0YJom2WyWIAwZk0lGut/GTGMnsimDJ+kSUncpw6AYKDyp
 ST4/PHly9qGvq4zRprWun0p1rkYCUhMa6YW/M4EbBgaaZl33rkJT87v9hX2O
 VgoTME1Ne3snGzdupKOjA8/ziKKIYtlje9RFqXsxYTxGWYKQmrKEstSUhSbS
 ld/1L07mFu360QXJZCSVshNKqaRKtS32fYlWGuXULXrDBDatWL08akh+o7ho
 ydmh45haK+rSGQqzU/Qt7OWiiy6it7cXpRRKKYQQjJUNnqtfhWqux5eaUBmU
 hKoArxIIJLj5kO6h7MG67T+6MuEOz4w0ntLXNTPomqYZd51kXEuNVhppp/pf
 N4FPrFnzDq++4e9LK5Yuk6aB1hpLSoIwom/hMlZe+35Wt/nELKNi8WKRsbEx
 tnudhEuXIgyTstR4EqShKUpNWYASmoaRMu6BQVp2bHkwrI9uH1z5x53Ppj54
 e/zQ1I4uBn8phIgp7VhKalAa7bqdr5nAJ89Yd73X3HxzMHByu1IKQysMIQmj
 gNWrT2HdunXYts0z44In6toZUHtRoU8ul+N5v5dwxYl4EspCH2XxsgQ1EXHq
 /u1MPPNt8l1nsPX0qzbke7o3aBszmUeeOP34F5Wr2rXWbkG7KRsIpUY7dsMr
 Erh1YCCWa2r+StjWcXWwclVKK42hFVIItJac9/b1nHPOObiuy8zMDNPT0zRZ
 sxgNC3jit40sdV5gcDykMNCPX7V6uWrxOS+IrObdU4+RSI+x+6RLeXH1W9FK
 m1pqWvOWrHtq6IZW8/lyGOqUcNKpsbTb7NoQBhpDGfq4BG49++y2QiL9jfDU
 M94pUklbK4WlNSW/SF1dmosuuoC1a9dimiZSSjzPo1gsksvlmGIhSQWHgyQt
 uSl2B6swTPDmgS6rI144bWqcxQvg2ak+Xlx1BnP61lJT9/hTn+oJv7dVOU6v
 1jrz645r3xdZyggLlXcsYcqjCNx89vpTosaGf4wGTjlTxVwDrbCUZjo3S29P
 F++59E/p7e1Fa43v+2itkVIihMD3ffL5POXuNlSk8QTkcjnCljaEmJOLxjRN
 TMCTmqLQdLvTFItFfqpOQ1EBjqxcM/kHWrWrFxSILdmxcNNVufZUq64+00pj
 SC1sgM9vOP8S2dz6d9Hpp/drw8DUGhlFTE1OcOqa1Xzoqg8Sj8dRShGGYS2z
 KKVqgZrNZhm1luH2unhS42OQz+eRy1KVQJWaQIBpVTJNWYKUmuFAsK20FL83
 TqNpkC1KtAKtNNvedtPnYoVgyk+6jSKm7bRrYpkGuVyEkBon0AXjcxe/85/0
 qtXXSKUqlg18xkYPccaZp3HeeeeRyWQwDKOWCqWUKKWQUhKGIb7vMzU1xaGJ
 HFNrLkXEK3IpegpveAavpxFvfppUlfQZRqomFa00NuAAxWqOtzTEbZN8SaCl
 xjGhMWWjtaZcluRzgv69/lW2ubj/Q8o0sQyDkdFh+vsX84lPXEc6nQbANE3C
 MMTzPKSUNQJzZIrFIpOTk+xzz8Z1IZQQaPAsKHU34on5GUcTStBKHaV1rTRh
 ldycRKTWRHrec6GJYpUi6XuSRZ470jF+w3/YZhT4mJYDmg9cfiWrVpwIULNy
 EAS136ZpopQCQGtNGIYUCgVyhRLmW3opC43QBl41WEtV0AqDSEFQbQEsrYkZ
 BoGuANfzgKM0htZIoSmHVaKyIqnJbEjCMFnmuyOpfY++a3fLJa5pjI1917JM
 DMNkQVcXUkq01kfpfM7yvu8ThmEtaAuFArlcjrHEGnwXCgLykaYgIBdVgrQo
 Krk/khotFUoqEqaBgyZpUgOupcYxIBO3aEpYpBwTLeaeKRxgwIqLsybH71P7
 v/nnOxecdkc6tuFP7A4Vfnqy7F1tpJLWjud2sHrVSURRdBSB+XNu/aCUqpEo
 LVtBIKhqvSoZcSTvq3lS0VIjkYCBEJpaVZWahGtiqMr7cdOgBCilWWq7dE1P
 Pa13bb5rpPf9K/d0feDBhWFsKLPnQ/eZ1/zsZ+V+1/6vzu5u9g0OojgSsHP5
 fW4WCgVKpRKe5+H7PqVSiaIXEDbGKIkjFi8KTakqITXPwnOz4CvyniTvVQJU
 veS9OUJKKFbnCjQ+eAPyFx87NGV3ZV5ILvq4Iwyj/dBTl/T09CgbIFaYufa0
 U1cPHzo8boyMTtLaVEcsFqvkbNNECIFSCsuyMAyjmgnKFItFZmN9FDSUqsE6
 54WgqttazlYaU1ORktLIo4K4IqW8J0nbBgZQ9iQpz8T8zReQRkQUi58/2Hf5
 +kBLqyO096upfx6ZcV1lAmzcvHlk9LFHty5c1EdjphE3kUAIgda6tuSzbZtE
 IoHruhiGgWVZWJaFl+6jICpNWUlWroHkGKsrqZFCHXXPUBXda6nQUhGFiumC
 IDsbUfIkniHp6GxHY7Dn5FuTM6au11JTL+Sv8/l8tGXLliOtxMzQCx9tK7/1
 N07cxXISSJmvFa65ajsX4FJKSqUSvu9jO6pm/bLUiJplqUlBv8zVtQxiBvhy
 /v2K52wDIq35n+5PwwJF2TRRkQKlqfcm711w4ony4Ycf1uYcgfd97WtPHX7y
 1/vCMML3A9INGSzLIpFIEI/HSSQSJJNJkslkTV4AtjdOqAyKogq+NlVN2yhN
 woCYPtozni/JVQvV/O8q+tdooSlq8AwT26gQa5SW9Hbd/PjMzIzSWh8hAJDb
 veumMArxvDKWHasF8lz6nPOEUgrDMHAcB7uwD0tx3GCdk4atwdBgG0e/V5HV
 kf4nYRm4loEWiiiUiCqZSCg8T6KFptOfFolEItqyZYuGygYRR7xwx5bs9u3Z
 MIwoFMtIWakBhmFg2zaWZeE4Dul0mtbWVhoaGkhR4KRidBzwR2YYSsJQ4gVH
 YsDSR5OxDYiZBgnLwITqOxoLavXA1QYLC4/F2oeHO4FjCQBM73zujiiKKOQL
 tHR0EovFsCwLrXXN+o7j4LpuTU7O2O5XJCClxgsVYSQrwIC4aVRyftUTYagQ
 kSIIKtc5UhYVT8ZMON8ZRxZ+YxiJ5F1zeI8hcPnmO76c3zvkR1HFC7bj1Pof
 27ZxXZdSqcTExASFQgEhBCOpzlck8FJZRaGk6IuafHRVSrNFUWvetNQEvsLS
 sKIpwecHbGa3/S22bRN0dJ533YoVKYDjLmimt2/7t1hn9zXZ7DQ9nW2oeQ2c
 7/sIIRBCUCwWGdcN7E7VHVVRXy7rHHvlmPuG0rylNcXihKLRiWiPC1Z15Wlt
 jZEsXcIjDz+GSqUsXVf/NeAjx3gAICwXPlWeGJdhEOIFEsuq8LQsC9d1SSQS
 2LZN2fPYvnAjshqsc3I4fkAfvVip/FbEDE3MNGrkNzYavKf+Qc5K/4o1jc/T
 XX8AIbJMTU2xfPly8oU8lmkStHd84LgSArjm7rvLs9u2/ncYRYyNHaY+04jr
 uqRSKVzXRWtNPp9ntz3AoXjimBQ4vz2YT8bUuqZ9Xc06DgYxNG61setLDFOX
 TpHJZHhyspeSaKO+vp66ujp6enpobGzAtCxkpjH+8XXrPndcAgByZHxTkM9r
 z/cp+SFi3gLG8zyEELTrgLUJhxi8hMTRFXeOiIg0QahQQtdIqGogm9Ua8ehE
 KzuySe7e3s2P96Q4qUsSj8eJxWKEYciG8y/ANE0s0yJqar3+ZQlc/f17hnPb
 tm6Lwojhg6Ok6+qJoqjWXiQSCRrC3Sx99l4uiqnjyOXYe0pqwkghpUaIylRR
 pWhFYYX4EzMmX9m5kO2zMT57hsBxKomjsakZO1FHPl/CMi1My4Rksv4Vt1WC
 kf0fDfxTn1BKonRXZRtcylotaGlpobh/Pxx8Gp1e/arBitKYilrF9iJVyfOq
 QgClaU7YnNOR4F2LsnS1+th2A6GEXzzyK7Y9+RSFYh7TtDAUxCfGv/Wq5wPf
 +Msv7EuuPLmvqbmRlctOoFQsYJom+XyebDbL4OAgQ7G1/NReTCSOXSrOv9qG
 ATXrV9bEza7FKS1xuuKaNiegPzVBUzpPuq6OZEMjzzy9nV3PP1fZTNAKHQns
 keFBa2rqxtsff+wnr7oz5+/b91ln6fLvTU1lkfRj25VPEokE6XSaTCZDZngb
 Fy47iZ+N+a+cNql4Q8mK5S/sSXB2/AWS5ijxRCVJJFJpbKeOHTtfYO/QEFII
 lNZYUaRjBw88yfTMdV99/JFn5vC9phOaO2++Lesu6W/q7e7ixBN68D0PgDAM
 GR0dZXBwkGzUwrPd7+DpCY8oenlPGErTn4nz3o4iS9IvkkhUKrodi+N5ATt2
 7GR8dAytdWXm88I6sO8BJz+96dbHHht7KbbXtDcaDL242ezt+9L+g8MsXtRN
 Nps9qqlraWnBGx7m5KF/p2nJe7n/YKkGmOrVVDDQ7HJ+i2AgPUhdnSaRaCNV
 V8fU5AxPP72V2dksWlXqDZMTZQ7u/7blFW+85Ze/9F8O22s+I7v9C3/jxTo6
 48uX9bOwuwMhotpCf2ZmhpGREUZGRhBNa/h+NMBkPkKryu7DmpYY59YXWRIf
 oq7eIZPJ0NjcCqaFiBR7h4YY2vMis7Oz6IMHJvXowa/c8vP773gtuF7z7nS4
 Z/d3aW798K7dgyw9cRGzMxWj2LZNQ0MDAI7jMD0zxIcXnMBIWz1JGdBpZGm3
 9pJIxchkGmlqbUUog5lcEcuqdLg93V1Y+/cO7t2758ZN//qtn7xWTPA6PHDb
 hg1p55zzZ+1Mo3XG6afS1lSHEALbtmt7pblcjtnZWXzfr7Ud6XSaxqYm6uob
 yc7mKRdLWLZd+c739OzTTz1Z3n/wuvfeecczr47idyAA8MXLPvhza/VpF6bS
 Kd7x9rMZGx2trY8Nw8AwKocaQRCAYdDW2kY8Wcfo4XGKxTKO42BZFmJ2WpSe
 feZ+byR77RXfunP8jQCfG6/rhEZPTm8KS8V9UikjX/RpaWmpgK0OpRSmadHc
 3IzEZN/+Q3jegepiyMYfPlAu7971bTOXvfGKe+552cB8PeN1H3TffNkV28zl
 A6tbmpt4z8YLmZ7OImWlY21ra2f/oVF27R4kDENsy8IyTaL9Q5Ph/qEvX/cv
 39z8+wA9f7zuMzJj8vDHIr///yYmp/jt7kHOOnMtnldm27O7eOjRJ1FKV4Cj
 8Qf3vKhGD934yR/c99PfN/AanjfyV4PPXHblAb34hF7bsrAdu9IdWha2ZWGK
 SBtDe540x8c33Xj/j7e/CZiPGm/omNUcH7056O27VymFrO7YOeUZoQ/uu5+p
 /LW3/OI/f6fAfD3jDf/Z46aLNn5H9C56n+F5Xmzi8HdcP/eZV6qYb9b4fwkI
 DO2dzZsSAAAAAElFTkSuQmCC
 ====

Package: qutim-extra-protocols
Section: user/network
Architecture: any
Depends: qutim,libpurple0
Description: IRC, Vkontakte, and all pidgin protocols for qutIM
XSBC-Maemo-Display-Name: qutIM extra protocols
XSBC-Bugtracker: https://launchpad.net/qutim
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAACmAAAApgBNtNH3wAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAABGqSURBVGiBvZp5lJ1lfcc/73bfu83MnX0y
 WyYJA1kmgZCwBEFJkCLQSqpiUSsgCiUoLniQVlRA22O10HiwVGqr1IJLjacu
 BduegrJYBAkhQGJCmMk2mZnMcmfmru/2LP3j3rmZkLAqPuc8573nXc75fn+/
 7295nucaWmv+4OO228x/2LfvlnR//8dSHR313o4d37188+Yr5x4bhmH88Ic/
 NLds2WJ1dHQYhw8f1pOr/uyElROPDDU3NzuACaj73LNuMv6QBL5+8cX1+WTy
 64mlSy+LL1gQc12XWCyG6zjMPPDAudfed9+jgHH99dc7yWQybllWLAgCva3n
 j84rjo33XZzYe48QIi6EsH7c8+57RXYm+Qch8Ffr1vWrpqa7jSVLzo1lMmYs
 FsN1XVzXxXEcYrEYcteu53aE4emAq7VO2bZdb5pmfEffBRcWepbdtuT+u1Z1
 tWCbpln/v/XnXjE7cPpfmA899FX7zQS+aWBgfdTcfKdYvHjASSZxlSJWLBKG
 IV1dXQRBQLlcpr29Hau7e1X91q2nzTQ0zJqxZOv+xeddOtt2wqVRR0dLafvu
 ka4WYpZltRuOUze7cOVHtNSkTPPRN4XAlSctu7pQl7q1sGBBpxuP4wYBMa0J
 goC1a9dy5plnMj09DcDOnTuZmZnBTGfILt/wg9EFp+SiBV39QTrt+ELjCY09
 nn3IMIyM1rp1r+hZ5tQnrCBQRFa6+/dG4Lb16+0D2exf5+sbrist7qtTSoNW
 BEFIJpNh/fr19PT0YJom2WyWIAwZk0lGut/GTGMnsimDJ+kSUncpw6AYKDyp
 ST4/PHly9qGvq4zRprWun0p1rkYCUhMa6YW/M4EbBgaaZl33rkJT87v9hX2O
 VgoTME1Ne3snGzdupKOjA8/ziKKIYtlje9RFqXsxYTxGWYKQmrKEstSUhSbS
 ld/1L07mFu360QXJZCSVshNKqaRKtS32fYlWGuXULXrDBDatWL08akh+o7ho
 ydmh45haK+rSGQqzU/Qt7OWiiy6it7cXpRRKKYQQjJUNnqtfhWqux5eaUBmU
 hKoArxIIJLj5kO6h7MG67T+6MuEOz4w0ntLXNTPomqYZd51kXEuNVhppp/pf
 N4FPrFnzDq++4e9LK5Yuk6aB1hpLSoIwom/hMlZe+35Wt/nELKNi8WKRsbEx
 tnudhEuXIgyTstR4EqShKUpNWYASmoaRMu6BQVp2bHkwrI9uH1z5x53Ppj54
 e/zQ1I4uBn8phIgp7VhKalAa7bqdr5nAJ89Yd73X3HxzMHByu1IKQysMIQmj
 gNWrT2HdunXYts0z44In6toZUHtRoU8ul+N5v5dwxYl4EspCH2XxsgQ1EXHq
 /u1MPPNt8l1nsPX0qzbke7o3aBszmUeeOP34F5Wr2rXWbkG7KRsIpUY7dsMr
 Erh1YCCWa2r+StjWcXWwclVKK42hFVIItJac9/b1nHPOObiuy8zMDNPT0zRZ
 sxgNC3jit40sdV5gcDykMNCPX7V6uWrxOS+IrObdU4+RSI+x+6RLeXH1W9FK
 m1pqWvOWrHtq6IZW8/lyGOqUcNKpsbTb7NoQBhpDGfq4BG49++y2QiL9jfDU
 M94pUklbK4WlNSW/SF1dmosuuoC1a9dimiZSSjzPo1gsksvlmGIhSQWHgyQt
 uSl2B6swTPDmgS6rI144bWqcxQvg2ak+Xlx1BnP61lJT9/hTn+oJv7dVOU6v
 1jrz645r3xdZyggLlXcsYcqjCNx89vpTosaGf4wGTjlTxVwDrbCUZjo3S29P
 F++59E/p7e1Fa43v+2itkVIihMD3ffL5POXuNlSk8QTkcjnCljaEmJOLxjRN
 TMCTmqLQdLvTFItFfqpOQ1EBjqxcM/kHWrWrFxSILdmxcNNVufZUq64+00pj
 SC1sgM9vOP8S2dz6d9Hpp/drw8DUGhlFTE1OcOqa1Xzoqg8Sj8dRShGGYS2z
 KKVqgZrNZhm1luH2unhS42OQz+eRy1KVQJWaQIBpVTJNWYKUmuFAsK20FL83
 TqNpkC1KtAKtNNvedtPnYoVgyk+6jSKm7bRrYpkGuVyEkBon0AXjcxe/85/0
 qtXXSKUqlg18xkYPccaZp3HeeeeRyWQwDKOWCqWUKKWQUhKGIb7vMzU1xaGJ
 HFNrLkXEK3IpegpveAavpxFvfppUlfQZRqomFa00NuAAxWqOtzTEbZN8SaCl
 xjGhMWWjtaZcluRzgv69/lW2ubj/Q8o0sQyDkdFh+vsX84lPXEc6nQbANE3C
 MMTzPKSUNQJzZIrFIpOTk+xzz8Z1IZQQaPAsKHU34on5GUcTStBKHaV1rTRh
 ldycRKTWRHrec6GJYpUi6XuSRZ470jF+w3/YZhT4mJYDmg9cfiWrVpwIULNy
 EAS136ZpopQCQGtNGIYUCgVyhRLmW3opC43QBl41WEtV0AqDSEFQbQEsrYkZ
 BoGuANfzgKM0htZIoSmHVaKyIqnJbEjCMFnmuyOpfY++a3fLJa5pjI1917JM
 DMNkQVcXUkq01kfpfM7yvu8ThmEtaAuFArlcjrHEGnwXCgLykaYgIBdVgrQo
 Krk/khotFUoqEqaBgyZpUgOupcYxIBO3aEpYpBwTLeaeKRxgwIqLsybH71P7
 v/nnOxecdkc6tuFP7A4Vfnqy7F1tpJLWjud2sHrVSURRdBSB+XNu/aCUqpEo
 LVtBIKhqvSoZcSTvq3lS0VIjkYCBEJpaVZWahGtiqMr7cdOgBCilWWq7dE1P
 Pa13bb5rpPf9K/d0feDBhWFsKLPnQ/eZ1/zsZ+V+1/6vzu5u9g0OojgSsHP5
 fW4WCgVKpRKe5+H7PqVSiaIXEDbGKIkjFi8KTakqITXPwnOz4CvyniTvVQJU
 veS9OUJKKFbnCjQ+eAPyFx87NGV3ZV5ILvq4Iwyj/dBTl/T09CgbIFaYufa0
 U1cPHzo8boyMTtLaVEcsFqvkbNNECIFSCsuyMAyjmgnKFItFZmN9FDSUqsE6
 54WgqttazlYaU1ORktLIo4K4IqW8J0nbBgZQ9iQpz8T8zReQRkQUi58/2Hf5
 +kBLqyO096upfx6ZcV1lAmzcvHlk9LFHty5c1EdjphE3kUAIgda6tuSzbZtE
 IoHruhiGgWVZWJaFl+6jICpNWUlWroHkGKsrqZFCHXXPUBXda6nQUhGFiumC
 IDsbUfIkniHp6GxHY7Dn5FuTM6au11JTL+Sv8/l8tGXLliOtxMzQCx9tK7/1
 N07cxXISSJmvFa65ajsX4FJKSqUSvu9jO6pm/bLUiJplqUlBv8zVtQxiBvhy
 /v2K52wDIq35n+5PwwJF2TRRkQKlqfcm711w4ony4Ycf1uYcgfd97WtPHX7y
 1/vCMML3A9INGSzLIpFIEI/HSSQSJJNJkslkTV4AtjdOqAyKogq+NlVN2yhN
 woCYPtozni/JVQvV/O8q+tdooSlq8AwT26gQa5SW9Hbd/PjMzIzSWh8hAJDb
 veumMArxvDKWHasF8lz6nPOEUgrDMHAcB7uwD0tx3GCdk4atwdBgG0e/V5HV
 kf4nYRm4loEWiiiUiCqZSCg8T6KFptOfFolEItqyZYuGygYRR7xwx5bs9u3Z
 MIwoFMtIWakBhmFg2zaWZeE4Dul0mtbWVhoaGkhR4KRidBzwR2YYSsJQ4gVH
 YsDSR5OxDYiZBgnLwITqOxoLavXA1QYLC4/F2oeHO4FjCQBM73zujiiKKOQL
 tHR0EovFsCwLrXXN+o7j4LpuTU7O2O5XJCClxgsVYSQrwIC4aVRyftUTYagQ
 kSIIKtc5UhYVT8ZMON8ZRxZ+YxiJ5F1zeI8hcPnmO76c3zvkR1HFC7bj1Pof
 27ZxXZdSqcTExASFQgEhBCOpzlck8FJZRaGk6IuafHRVSrNFUWvetNQEvsLS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	cmake -DCMAKE_INSTALL_PREFIX="/opt/qutim" -DWININTEGRATION=false -DAESCRYPTO=false -DWEATHER=false -DSDLSOUND=false -DANTIBOSS=false -DKDEINTEGRATION=false -DMAC-INTEGRATION=false -DASPELLER=false -DAWN=false -DLOGGER=false -DNOWPLAYING=false -DINDICATOR=false -DASTRAL=false -DCONTACTINFO=false -DSEARCHDIALOG=false -DPLISTCONFIG=false -DQSOUNDBACKEND=false -DSOFTKEYSACTIONBOX=false -DTRAYICON=false -DMIGRATION02X03=false -DKINETICPOPUPS=false -DXSETTINGSDIALOG=false -DWITH_DOXYGEN=false -DTABBEDCHATFORM=false -DSYMBIANINTEGRATION=false -DHISTMAN=false -DKINETICSCROLLER=false -DFLOATIES=false -DMACINTEGRATION=false -DQRCICONS=false -DSIMPLEABOUT=false -DTORYCONTACTLISTWIDGET=false -DFLOATIES=false -DMACCONTACTLISTWIDGET=false -DSIMPLEABOUT=false  -DPLUGMAN=false -DNOTIFICATIONSSETTINGS=false -DMAEMO5=true -DJOINCHATDIALOG=false -DCONNECTIONMANAGER=false -DUNITYLAUNCHER=false -DMOBILITY=true -DMULTIMEDIABACKEND=false -DBEARERMANAGER=true -DQUTIM_DEVELOPER_BUILD=false  -DCMAKE_BUILD_TYPE=release -DSCRIPTAPI=false -DHUMANITY-ICONS=false -DIDLEDETECTOR=false . -L
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/qutim.sgml > qutim.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean  

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs


	# Add here commands to install the package into debian/qutim.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=debian/tmp -v
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps --exclude=extra
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
